ASSERT(3)

NAME
assert - check program invariants

SYNOPSIS
#include <u.h>
#include <libc.h>

#define assert if(cond);else _assert("cond")

void _assert(int cond)

DESCRIPTION
Assert is a preprocessor macro that (via _assert) prints a message and calls abort when cond is false.

SOURCE
/usr/local/plan9/src/libc/port/_assert.c